/*
ESUP-portail is a french academic project developed under the GPL (General Public License) augmented according to the following :
A binary or source file developped by ESUP-portail can be used or compiled with products under Apache license.
The official english text of the GPL can be found here : http://www.gnu.org/licenses/gpl.html .
A non official french translation can be found here : http://www.linux-France.org/article/these/gpl.html .
The different kinds of licenses governing the products developed by the Apache foundation can be found here : http://www.apache.org/licenses .
It follows that you can as well as use download contents as well modify and redistribute them provided you respect the GPL terms.
Downloading and using such contents do not provide any guaranty.
Be sure that you have well understood the terms of the license before using the contents it covers.
The ESUP-portail distribution includes the following distributions :
    * UPortal :
      software developed by JA-SIG (Java Architecture - Special Interest Group)
      You can find the license page here : http://mis105.udel.edu/ja-sig/uportal/license.html
    * CAS :
      SSO solution developed by Yale University
      You can find the project page here : http://www.yale.edu/tp/auth
    * Cocoon :
      XML framework distributed by the Apache foundation under Apache license;
      Please find the full text here : http://cocoon.apache.org/2.1/license.html
    * Mod_dav:
      A DAV module for Apache web server
      You can find the project page here : http://www.webdav.org/mod_dav
    * IMP :
      webmail from Horde application framework
      You can find the project page here : http://www.horde.org
    * . To be completed
*/

package org.esupportail.portal.channels.CPref;   

/** 
 * <p>Titre : CModifPerso</p>
 * <p>Description : Canal de modification des informations LDAP</p>
 * <p>Copyright : Copyright (c) 2004</p>
 * <p>Socit : esupPortail</p>
 * @author Sbatien GAUDIN
 * @version 1.0
 */

import java.util.Hashtable;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.esupportail.portal.channels.CPref.config.Config;
import org.esupportail.portal.utils.channels.FrameWorkException;
import org.esupportail.portal.utils.channels.MainChannel;
import org.esupportail.portal.utils.channels.SubChannel;
import org.esupportail.portal.utils.channels.plugins.Message;
import org.esupportail.portal.utils.channels.plugins.MessageBean;
import org.esupportail.portal.utils.channels.plugins.RestrictedAction;
import org.jasig.portal.PortalException;


public class Menu extends SubChannel{ 

	
	
    private static final Log log = LogFactory.getLog(CPref.class);
    /**
	 * @param mainChannel
	 */
	public Menu(MainChannel mainChannel) {
		super(mainChannel);
	}
	
	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.channels.ISubChannel#setXML()
	 */
	public Boolean setXML() throws FrameWorkException {
		try {
			if (RestrictedAction.filterAccess(mainChannel,mainChannel.getCurrentAction().getName(),Config.getInstance().getGroupmapping(),false)){
			    setXSL(mainChannel.getActionParam(mainChannel.getCurrentAction().getName(),
						(String)mainChannel.getStaticData().get("plug.esup.restrictedAction")).getValue());
				return Boolean.TRUE;
			}
			else{
				Message.message(mainChannel, runtimeData, new MessageBean("Vous n'tes pas autoriss  aller sur cette page."),"",new Hashtable());
				return Boolean.FALSE;
			}
		} catch (PortalException e) {
			log.error("Menu::setXML() : PortalException : ",e);
		}
		return Boolean.FALSE;
	}
	
	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.channels.ISubChannel#setOutput()
	 */
	public void setOutput() throws FrameWorkException {
		
		
		
	}
}
